/**
  * Zambot
  * Zambot | Unlimited Trading | [https://zambot.net](https://zambot.net).
  *
  * The version of the OpenAPI document: 1.0.0
  * Contact: gzambon@gmail.com
  *
  * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
  * https://openapi-generator.tech
  * Do not edit the class manually.
  */

package net.zambot.scheduler.model

import java.time.LocalDateTime
import java.util.UUID

import play.api.libs.json._

case class SchedulerInfo(schedulerId: UUID,
                         inboundChannelId: Option[UUID],
                         outboundChannelId: Option[UUID],
                         created: LocalDateTime,
                         status: String,
                         timestamp: LocalDateTime,
                         maxOneTimeTaskExecutions: Int,
                         maxRecurrentTaskExecutions: Int,
                         interval: String,
                         version: Long,
                         parameters: SchedulerParameters)

object SchedulerInfo {
  implicit val format: Format[SchedulerInfo] = Json.format
}

